Bug 819504 - Wings fails to run
Wings fails to run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wings (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 08:49 EDT by Przemek Klosowski
Modified: 2012-05-26 04:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 04:03:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2012-05-07 08:49:31 EDT
Description of problem:
Wings fails to run out of the box, produces a dump, and crashes into what seems to be an Erlang console, requiring the 'q' command to regain shell prompt.


Version-Release number of selected component (if applicable):
wings-1.2-5.fc17.x86_64


How reproducible: every time


Steps to Reproduce:
1. type 'wings' on the command line
2. observe the error (see below)
  

Actual results: we get the error message:

Driver failed: Driver compiled with incorrect version of erl_driver.h 

=ERROR REPORT==== 7-May-2012::08:38:01 ===
Error in process <0.30.0> with exit value: {badarg,[{erlang,port_control,[esdl_port,21,<<4 bytes>>],[]},{sdl,init,1,[]},{wings_init,init,0,[]},{wings,init,1,[]}]}

sh: line 0: exec: sdl_driver: not found

Fatal internal error - log written to /home/przemek/wings_crash.dump


Expected results: the program runs


Additional info:
The wings_crash.dump file contains a copy of the above info:

Dump written 2012-5-7_8-38
Version: 1.2
Window: "<Unknown Window Name>"
Reason: {badarg,[{erlang,port_control,[esdl_port,21,<<32,0,16,0>>],[]},
                 {sdl,init,1,[]},
                 {wings_init,init,0,[]},
                 {wings,init,1,[]}]}
Comment 1 Fedora Update System 2012-05-11 06:29:36 EDT
erlang-esdl-1.2-1.fc17,wings-1.4.1-1.git9a2473e.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-esdl-1.2-1.fc17,wings-1.4.1-1.git9a2473e.fc17
Comment 2 Fedora Update System 2012-05-11 17:51:30 EDT
Package erlang-esdl-1.2-1.fc17, wings-1.4.1-1.git9a2473e.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-esdl-1.2-1.fc17 wings-1.4.1-1.git9a2473e.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7709/erlang-esdl-1.2-1.fc17,wings-1.4.1-1.git9a2473e.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-26 04:03:18 EDT
erlang-esdl-1.2-1.fc17, wings-1.4.1-1.git9a2473e.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.